#!/bin/sh
#$Id: makedocs.sh,v 1.2 2002/03/16 17:03:56 bzfkocht Exp $
#
export LD_LIBRARY_PATH=../djvu/lib:$LD_LIBRARY_PATH
PATH=../djvu/bin:$PATH
#
DIR=$1/paper
#
for i in `find $DIR -name "*.pdf" -print`
do
   NAME=`basename $i .pdf`
   if [ ! -f $DIR/$NAME.djvu ]; then
      echo "converting $i to Djvu"
      ./ps2djvu.sh $i
      mv $NAME.djvu $DIR/
   fi
done
#
for i in `find $DIR -name "*.ps" -or -name "*.ps.gz" -print`
do
   case $i in
      *.ps.gz) NAME=`basename $i .ps.gz` 
               gunzip $i ;;
      *.ps)    NAME=`basename $i .ps`
               ;;
   esac 
   if [ ! -f $DIR/$NAME.djvu ]; then
      echo "converting $i to Djvu"
      ./ps2djvu.sh $DIR/$NAME.ps
      mv $NAME.djvu $DIR/
   fi
   if [ ! -f $DIR/$NAME.pdf ]; then
      echo "converting $i to PDF"
      ps2pdf12 -dPDFSETTINGS=/printer -dAutoRotatePages=/None $DIR/$NAME.ps
   fi
   gzip $DIR/$NAME.ps
done

